# define _29r dir macros
TMPF:=$(shell tmpf=$$(mktemp /tmp/ddefs.XXXXXXXXX);_29r_dirdefs-make > $$tmpf;echo $$tmpf)
$(foreach L,$(shell set -- $$(wc -l $(TMPF)); seq $$1),$(eval $(shell sed -ne $(L)p $(TMPF))))
$(shell rm -f $(TMPF))

_29r_street_name = $(shell source $(_29r)/package/cur/main/etc/_29r_street_name.conf;\
   echo $$_29r_street_name )

_m4: _m4.sed-src $(_29r)/package/cur/main/etc/_29r_street_name.conf
	sed -e 's/_29r_street_name@sed/$(_29r_street_name)/g' < $< >$@
	chmod +x $@

